com.corticon.eclipse.server.core

## Class CcServerFactory

- java.lang.Object
- - com.corticon.eclipse.server.core.CcServerFactory

-     public class CcServerFactory
      extends java.lang.Object

  `CcServerFactory` is used to obtain an instance of the Corticon Server.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CcServerFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ICcServer` | `getCcServer()` Returns an instance of the Corticon Server.
    `static ICcServer` | `getCcServer(boolean enableEmbededManagement)` Returns an instance of the Corticon Server.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CcServerFactory

          public CcServerFactory()

  - ### Method Detail

    - #### getCcServer

          public static ICcServer getCcServer()
                                       throws CcServerInvalidSandboxException

      Returns an instance of the Corticon Server. One instance of the Corticon Server is allowed per JVM. The first call to this method instantiates the Corticon Server and returns it. All successive call return the same instance.
      Throws:
        `CcServerInvalidSandboxException`

    - #### getCcServer

          public static ICcServer getCcServer(boolean enableEmbededManagement)
                                       throws CcServerInvalidSandboxException

      Returns an instance of the Corticon Server. One instance of the Corticon Server is allowed per JVM. The first call to this method instantiates the Corticon Server and returns it. All successive call return the same instance. The `enableEmbededManagement` specifies whether the embedded REST management server is turned on. This REST management interface is intended to be turned on in an in-process deployment of the Corticon server and not for the web container deployments, which have their own REST gateway.
      Parameters:
        `enableEmbededManagement` - Specifies whether the embedded REST management interface is turned on.
      Throws:
        `CcServerInvalidSandboxException`

Copyright © 2005-2018 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.